#ifndef __UDS_19SERVICE_Main_H
#define __UDS_19SERVICE_Main_H

#include "TYW_stdint.h"
#include "UDS_19Service_Filter.h"
#include "UDS_19Service_Internal.h"

void UDS_Service_19_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_19Service_Sub(void);
void UDS_19Service_Sub01(void);
void UDS_19Service_Sub02(void);
void UDS_19Service_Sub04(void);
void UDS_19Service_Sub06(void);
void UDS_19Service_Sub0A(void);

#endif